Debian Bug report logs - #579390
Black screen with "dialog --pause" when NOOK and NOCANCEL

version graph

Package: dialog; Maintainer for dialog is Santiago Vila <sanvila@debian.org>; Source for dialog is src:dialog.

Reported by: Thomas <thomaswrx@gmx.net>

Date: Tue, 27 Apr 2010 14:30:01 UTC

Severity: normal

Found in version dialog/1.1-20100119-2

Fixed in version dialog/1.1-20100428-1

Done: Santiago Vila <sanvila@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Santiago Vila <sanvila@debian.org>:
Bug#579390; Package dialog. (Tue, 27 Apr 2010 14:30:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Thomas <thomaswrx@gmx.net>:
New Bug report received and forwarded. Copy sent to Santiago Vila <sanvila@debian.org>. (Tue, 27 Apr 2010 14:30:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Thomas <thomaswrx@gmx.net>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: Black screen with "dialog --pause" when NOOK and NOCANCEL
Date: Tue, 27 Apr 2010 16:25:55 +0200
Package: dialog
Version: 1.1-20100119-2
Severity: normal


When creating a pause dialog with options --nook and --nocancel, all
you'll get is an blank window, which waits forever. You have to abort
the script with CTRL + C.

In prior versions (lenny) the same command shows an window without OK
and CANCEL-Button and closes autoamtically after x seconds as expected.

Example:

dialog --nook --nocancel --pause 'Wait for timout' 10 36 5 


-- System Information:
Debian Release: squeeze/sid
  APT prefers testing
  APT policy: (500, 'testing')
Architecture: i386 (i686)

Kernel: Linux 2.6.32-3-686 (SMP w/2 CPU cores)
Locale: LANG=de_DE.UTF-8, LC_CTYPE=de_DE.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages dialog depends on:
ii  debianutils               3.2.2          Miscellaneous utilities specific t
ii  libc6                     2.10.2-6       Embedded GNU C Library: Shared lib
ii  libncursesw5              5.6+20090803-2 Shared libraries for terminal hand

dialog recommends no packages.

dialog suggests no packages.

-- no debconf information




Information forwarded to debian-bugs-dist@lists.debian.org, Santiago Vila <sanvila@debian.org>:
Bug#579390; Package dialog. (Wed, 28 Apr 2010 00:54:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Thomas Dickey <dickey@his.com>:
Extra info received and forwarded to list. Copy sent to Santiago Vila <sanvila@debian.org>. (Wed, 28 Apr 2010 00:54:03 GMT) Full text and rfc822 format available.

Message #10 received at 579390@bugs.debian.org (full text, mbox):

From: Thomas Dickey <dickey@his.com>
To: Thomas <thomaswrx@gmx.net>, 579390@bugs.debian.org
Cc: Santiago Vila <sanvila@debian.org>
Subject: Re: Bug#579390: Black screen with "dialog --pause" when NOOK and NOCANCEL
Date: Tue, 27 Apr 2010 20:45:21 -0400 (EDT)
On Tue, 27 Apr 2010, Thomas wrote:

> Package: dialog
> Version: 1.1-20100119-2
> Severity: normal
>
>
> When creating a pause dialog with options --nook and --nocancel, all
> you'll get is an blank window, which waits forever. You have to abort
> the script with CTRL + C.
>
> In prior versions (lenny) the same command shows an window without OK
> and CANCEL-Button and closes autoamtically after x seconds as expected.
>
> Example:
>
> dialog --nook --nocancel --pause 'Wait for timout' 10 36 5

thanks (I have a fix for this, as well as some other improvements, and 
will upload a new version once I'm done with test-builds).

-- 
Thomas E. Dickey
http://invisible-island.net
ftp://invisible-island.net




Reply sent to Santiago Vila <sanvila@debian.org>:
You have taken responsibility. (Fri, 07 May 2010 19:21:05 GMT) Full text and rfc822 format available.

Notification sent to Thomas <thomaswrx@gmx.net>:
Bug acknowledged by developer. (Fri, 07 May 2010 19:21:05 GMT) Full text and rfc822 format available.

Message #15 received at 579390-close@bugs.debian.org (full text, mbox):

From: Santiago Vila <sanvila@debian.org>
To: 579390-close@bugs.debian.org
Subject: Bug#579390: fixed in dialog 1.1-20100428-1
Date: Fri, 07 May 2010 19:17:08 +0000
Source: dialog
Source-Version: 1.1-20100428-1

We believe that the bug you reported is fixed in the latest version of
dialog, which is due to be installed in the Debian FTP archive:

dialog_1.1-20100428-1.debian.tar.gz
  to main/d/dialog/dialog_1.1-20100428-1.debian.tar.gz
dialog_1.1-20100428-1.dsc
  to main/d/dialog/dialog_1.1-20100428-1.dsc
dialog_1.1-20100428-1_amd64.deb
  to main/d/dialog/dialog_1.1-20100428-1_amd64.deb
dialog_1.1-20100428.orig.tar.gz
  to main/d/dialog/dialog_1.1-20100428.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 579390@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Santiago Vila <sanvila@debian.org> (supplier of updated dialog package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Fri, 07 May 2010 20:25:48 +0200
Source: dialog
Binary: dialog
Architecture: source amd64
Version: 1.1-20100428-1
Distribution: unstable
Urgency: low
Maintainer: Santiago Vila <sanvila@debian.org>
Changed-By: Santiago Vila <sanvila@debian.org>
Description: 
 dialog     - Displays user-friendly dialog boxes from shell scripts
Closes: 579390
Changes: 
 dialog (1.1-20100428-1) unstable; urgency=low
 .
   * New upstream release.
   * Fixed debian/rules clean target: s/Makefile/makefile/.
   * Fixed an infinite loop in dlg_button_layout(). Closes: #579390.
Checksums-Sha1: 
 19d0d2939f80dba0bcfef358f03855aaa500859b 1379 dialog_1.1-20100428-1.dsc
 6945b302bf5b107c12f6009c25699d265b45579c 400036 dialog_1.1-20100428.orig.tar.gz
 3054495ea0d0ea3f6d18097e27b5750375f6df46 9946 dialog_1.1-20100428-1.debian.tar.gz
 7378c53cebf1ce9fdc4f71373ca6ac60bccaa118 294664 dialog_1.1-20100428-1_amd64.deb
Checksums-Sha256: 
 0a55e4bdba2aeb370306b1868c6bba4599f4d36f5226be04c4237f4961f246ee 1379 dialog_1.1-20100428-1.dsc
 3205574d988f600e8b5bf0a8833748fa26b76ec51bc9aa0a2a340067b51c7d01 400036 dialog_1.1-20100428.orig.tar.gz
 0ef6d1f62da40c23336dc4b7450ec29d88c55d4b369ea268cf56c17dc35264a3 9946 dialog_1.1-20100428-1.debian.tar.gz
 9e3bc585edd1f479dda88cca3e96ff133cac5806d28fdea3d79aec0b9835a38b 294664 dialog_1.1-20100428-1_amd64.deb
Files: 
 095290b7eb1060094e18f08d11bee49d 1379 misc optional dialog_1.1-20100428-1.dsc
 519c0a0cbac28ddb992111ec2c3f82aa 400036 misc optional dialog_1.1-20100428.orig.tar.gz
 0fd6cb33eac6c055af961969481395d0 9946 misc optional dialog_1.1-20100428-1.debian.tar.gz
 d3563d16cba66dda99606fd17f6a76ec 294664 misc optional dialog_1.1-20100428-1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iQEcBAEBCAAGBQJL5GGHAAoJEEHOfwufG4syg2IH/0Jqx7VjXTGGQ1pW7wINU0N7
hmVzjO3ir4aehPswuCGsBpynOt2/4GeOe8ZVHS6WApgOX/xzHeabgzj3RIieP8Qp
VVfdiJtJNrvneJNMTvpRs4OGQv+5J9gBD/At8Sf5RwaM7LV0gHIb1Fs51ZvXQuR7
uvG8A5a/rWZA5CyyxHQclLjkUVugxiF/Fh1ul9nnHkuI5yY/NBDgxTyCaC6bMPLo
P80L0ie1P61nMJ/SOCQyZuJs7WHxlO+vVuhvgoBlv4bBHFVhwYvX5hN26w/o1xNK
Q+OxKuYJjUpMK9ta/80+N535uq/NaxlaZ41L4WRKzlUE1nVmbIXSngV/xEl91ks=
=jw9p
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 15 Jun 2010 07:35:50 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 16:52:17 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.